default:
  tags:
    - pipeline

include:
  - project: 'Linaro/lkft/pipelines/lkft-common'
    file: '/queues/bootstrap.yml'

# This will only build and test branches specified here.
workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH =~ /^queue.*/'
      when: always
    - when: never

stages:
  - download_prerequisites
  - prerequisites
  - build
  - wait
  - report
  - upstream
